[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMap.Data

Indexed access to the data in the list

## Declaration

Source position: fgl.pp line 334

`public property TFPGMap.Data[Index: Integer] : TData read GetData write PutData;`

## Description

Data provides indexed access to the data values in the list. Valid values for Index are in the range [0..Count-1]. Data can always be read or written.

## Errors

If the index AIndex is out of range [0..Count-1], an EListError exception will be raised.

## See also

TFPSList.Count |  | Current element count
TFPGMap.Keys |  | Indexed access to the keys in the list.
TFPGMap.KeyData |  | Access to data based on key